#include <stdio.h>

#define BUFF_SZ 256

int main(void) {
    char buff[BUFF_SZ] = {0};
    int cnt = 0;

    printf("Input String: ");
    while ((buff[cnt] = getchar()) != '\n') {
        cnt++;
    };
    buff[cnt] = '\0';

    int i = 0;
    while (buff[i] != '\0') {
        printf(
            "Char: %c, ASCII Code: 0x%X (%d)\n",
            buff[i], (int)buff[i], (int)buff[i]
        );
        i++;
    }

    return 0;
}
